Commit 2a2515a4 authored by Raphal Poss's avatar Raphal Poss

Index: ChangeLog

from  Raphal Poss  <raph@lrde.epita.fr>

        * configure.ac: Add more Makefile's to the Swilena component.

        * bootstrap.sh: Invoke expand.sh in tools/swilena.

Index: integre/ChangeLog
from  Raphal Poss  <raph@lrde.epita.fr>

        * ntg/predecls.hh (ntg): Help SWIG parse the file.

Index: olena/ChangeLog
from  Raphal Poss  <raph@lrde.epita.fr>

        * oln/core/internal/real_image2d.hh (operator<<): Remove reference
        to optraits<T>::max so that images of floats can print.

        * oln/core/internal/real_image3d.hh (operator<<): Likewise.

Index: tools/swilena/ChangeLog
from  Raphal Poss  <raph@lrde.epita.fr>

        * doc/swilena.texi (Top): Add off-sync notice.

        * meta/Makefile.am, meta/swilena_w_win.i, meta/swilena_point.i,
        meta/swilena_morpho.i, meta/swilena_structelt.i,
        meta/swilena_ntg.i, meta/swilena_ntg_cplx.i,
        meta/swilena_ntg_int_u.i, meta/swilena_ntg_int_s.i,
        meta/swilena_imagesize.i, meta/swilena_image.i,
        meta/swilena_exception.i, meta/swilena_describe.i,
        meta/swilena_decl.i, meta/swilena_core.i: Add.

        * meta/attic: New directory.

        * src/swilena.i, src/swilena1d.i, src/swilena1d_convert.i,
        src/swilena1d_morpho.i, src/swilena2d.i, src/swilena2d_convert.i,
        src/swilena2d_morpho.i, src/swilena3d.i, src/swilena3d_convert.i,
        src/swilena3d_morpho.i, src/swilena_conversions.i,
        src/swilena_convert_dim.i, src/swilena_convoldefs.i,
        src/swilena_dim.i, src/swilena_dpoint.i, src/swilena_exceptions.i,
        src/swilena_image.i, src/swilena_meta_win.i,
        src/swilena_morpho_dim.i, src/swilena_morphodefs.i,
        src/swilena_neighborhood.i, src/swilena_point.i,
        src/swilena_typedefs.i, src/swilena_types.i,
        src/swilena_w_window.i, src/swilena_window.i: Move to `meta/attic'.

        * expand.sh: Add. Most files are now generated from this script.

        * TODO: Update.

        * Makefile.am (SUBDIRS): Mention new directory `meta'.

    prcs2git-id: 8.40
This diff is collapsed.
2003-05-06 Raphal Poss <raph@lrde.epita.fr>
* configure.ac: Add more Makefile's to the Swilena component.
* bootstrap.sh: Invoke expand.sh in tools/swilena.
2003-05-02 Nicolas Burrus <burrus_n@lrde.epita.fr>
* configure.ac: Add olena/tests/core directory.
2003-04-09 Nicolas Burrus <burrus_n@lrde.epita.fr> 2003-04-09 Nicolas Burrus <burrus_n@lrde.epita.fr>
* Makefile.am: Generate UPGRADING. * Makefile.am: Generate UPGRADING.
......
...@@ -2,6 +2,7 @@ ...@@ -2,6 +2,7 @@
sh ./cleanup.sh sh ./cleanup.sh
( cd tools/utilities/morpho && sh ./generate_morpho.sh . ) ( cd tools/utilities/morpho && sh ./generate_morpho.sh . )
( cd tools/swilena && sh ./expand.sh . )
( cd doc/ref && sh ./gen_filelists.sh filelists.make ../../olena/oln ) ( cd doc/ref && sh ./gen_filelists.sh filelists.make ../../olena/oln )
autoreconf -v -f -i autoreconf -v -f -i
( cd olena/conf && aclocal -I ../../config && autoconf -f ) ( cd olena/conf && aclocal -I ../../config && autoconf -f )
......
...@@ -123,6 +123,7 @@ OLN_COLLECTION([OLN_TOP], ...@@ -123,6 +123,7 @@ OLN_COLLECTION([OLN_TOP],
OLN_TESTS([arith]) OLN_TESTS([arith])
OLN_TESTS([convert]) OLN_TESTS([convert])
OLN_TESTS([convol]) OLN_TESTS([convol])
OLN_TESTS([core])
OLN_TESTS([io]) OLN_TESTS([io])
OLN_TESTS([morpho]) OLN_TESTS([morpho])
OLN_TESTS([sanity]) OLN_TESTS([sanity])
...@@ -323,7 +324,10 @@ OLN_COLLECTION([OLN_TOP], ...@@ -323,7 +324,10 @@ OLN_COLLECTION([OLN_TOP],
[oln_cv_build_swilena], [oln_cv_build_swilena],
[the SWIG interface to Olena], [the SWIG interface to Olena],
[OLN_TOOLS], [OLN_TOOLS],
[tools/swilena/Makefile tools/swilena/src/Makefile tools/swilena/doc/Makefile], [tools/swilena/Makefile
tools/swilena/meta/Makefile
tools/swilena/src/Makefile
tools/swilena/doc/Makefile],
[OLN_COLLECTION([OLN_SWILENA], dnl ... and a collection. [OLN_COLLECTION([OLN_SWILENA], dnl ... and a collection.
[dnl [dnl
......
2003-05-06 Raphal Poss <raph@lrde.epita.fr>
* ntg/predecls.hh (ntg): Help SWIG parse the file.
2003-05-02 Nicolas Burrus <burrus_n@lrde.epita.fr>
* tests/types/tests/int_u5c: New test.
2003-04-30 Nicolas Burrus <burrus_n@lrde.epita.fr>
* ntg/global_ops_defs.hh: Add missing builtin specializations.
* tests/types/tests/builtin1: New test.
2003-03-14 Nicolas Burrus <burrus_n@lrde.epita.fr> 2003-03-14 Nicolas Burrus <burrus_n@lrde.epita.fr>
* Makefile.am: Adjust. * Makefile.am: Adjust.
......
// Copyright (C) 2001, 2002 EPITA Research and Development Laboratory // Copyright (C) 2001, 2002, 2003 EPITA Research and Development Laboratory
// //
// This file is part of the Olena Library. This library is free // This file is part of the Olena Library. This library is free
// software; you can redistribute it and/or modify it under the terms // software; you can redistribute it and/or modify it under the terms
...@@ -58,6 +58,8 @@ template <class T1, class T2> \ ...@@ -58,6 +58,8 @@ template <class T1, class T2> \
inline T1& Op(rec_value<T1>& lhs, const T2& rhs) \ inline T1& Op(rec_value<T1>& lhs, const T2& rhs) \
{ return optraits<T1>::Name(lhs.self(), rhs); } \ { return optraits<T1>::Name(lhs.self(), rhs); } \
\ \
GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, signed long); \
GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, unsigned long); \
GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, signed int); \ GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, signed int); \
GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, unsigned int); \ GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, unsigned int); \
GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, signed short); \ GLOBAL_ASSIGN_OP_BUILTIN(Op, Name, signed short); \
...@@ -119,6 +121,8 @@ Op(const rec_value<T1>& lhs, const T2& rhs) \ ...@@ -119,6 +121,8 @@ Op(const rec_value<T1>& lhs, const T2& rhs) \
static_cast<rhs_type>(rhs)); \ static_cast<rhs_type>(rhs)); \
} \ } \
\ \
GLOBAL_ARITH_OP_BUILTIN(Op, Name, signed long); \
GLOBAL_ARITH_OP_BUILTIN(Op, Name, unsigned long); \
GLOBAL_ARITH_OP_BUILTIN(Op, Name, signed int); \ GLOBAL_ARITH_OP_BUILTIN(Op, Name, signed int); \
GLOBAL_ARITH_OP_BUILTIN(Op, Name, unsigned int); \ GLOBAL_ARITH_OP_BUILTIN(Op, Name, unsigned int); \
GLOBAL_ARITH_OP_BUILTIN(Op, Name, signed short); \ GLOBAL_ARITH_OP_BUILTIN(Op, Name, signed short); \
...@@ -181,6 +185,8 @@ Op(const rec_value<T1>& lhs, const T2& rhs) \ ...@@ -181,6 +185,8 @@ Op(const rec_value<T1>& lhs, const T2& rhs) \
static_cast<rhs_type>(rhs)); \ static_cast<rhs_type>(rhs)); \
} \ } \
\ \
GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, signed long); \
GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, unsigned long); \
GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, signed int); \ GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, signed int); \
GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, unsigned int); \ GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, unsigned int); \
GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, signed short); \ GLOBAL_LOGICAL_OP_BUILTIN(Op, Name, signed short); \
...@@ -227,6 +233,8 @@ inline bool Op(const rec_value<T1>& lhs, const T2& rhs) \ ...@@ -227,6 +233,8 @@ inline bool Op(const rec_value<T1>& lhs, const T2& rhs) \
static_cast<rhs_type>(rhs)); \ static_cast<rhs_type>(rhs)); \
} \ } \
\ \
GLOBAL_CMP_OP_BUILTIN(Op, Name, signed long); \
GLOBAL_CMP_OP_BUILTIN(Op, Name, unsigned long); \
GLOBAL_CMP_OP_BUILTIN(Op, Name, signed int); \ GLOBAL_CMP_OP_BUILTIN(Op, Name, signed int); \
GLOBAL_CMP_OP_BUILTIN(Op, Name, unsigned int); \ GLOBAL_CMP_OP_BUILTIN(Op, Name, unsigned int); \
GLOBAL_CMP_OP_BUILTIN(Op, Name, signed short); \ GLOBAL_CMP_OP_BUILTIN(Op, Name, signed short); \
......
...@@ -106,9 +106,12 @@ namespace ntg ...@@ -106,9 +106,12 @@ namespace ntg
namespace type_definitions namespace type_definitions
{ {
template <unsigned ncomps, unsigned qbits, template <unsigned> #ifndef SWIG
class color_system> template <unsigned ncomps, unsigned qbits, template <unsigned> class color_system>
struct color; struct color;
#else
struct color;
#endif
template<int lval, int uval> template<int lval, int uval>
struct interval; struct interval;
......
int_u8 i = 11;
unsigned long l = 12;
return l < i;
int_u32s i(4294967295U);
i = i + int_u32s(1);
return i != 4294967295U;
2003-05-06 Raphal Poss <raph@lrde.epita.fr>
* oln/core/internal/real_image2d.hh (operator<<): Remove reference
to optraits<T>::max so that images of floats can print.
* oln/core/internal/real_image3d.hh (operator<<): Likewise.
2003-05-04 Nicolas Burrus <burrus_n@lrde.epita.fr>
* oln/topo/inter-pixel/inter-pixel.hh: Minor fixes.
2003-05-02 Nicolas Burrus <burrus_n@lrde.epita.fr>
* oln/core/w_window1d.hh, oln/core/w_window2d.hh,
oln/core/w_window3d.hh: Restore a corrected version of set
methods.
* tests/core/Makefile.am, tests/core/runtests: New files.
* tests/core/tests/w_window: New test.
2003-04-30 Nicolas Burrus <burrus_n@lrde.epita.fr>
* oln/core/w_window1d.hh, oln/core/w_window2d.hh,
oln/core/w_window3d.hh: Remove useless and broken set methods.
2003-04-07 Nicolas Burrus <burrus_n@lrde.epita.fr> 2003-04-07 Nicolas Burrus <burrus_n@lrde.epita.fr>
* tests/io/Makefile.am: Add lena16b.pgm and lena16b.ppgm to * tests/io/Makefile.am: Add lena16b.pgm and lena16b.ppgm to
......
...@@ -159,7 +159,8 @@ operator<<(std::ostream& o, const oln::internal::_real_image2d<T,I>& ima) ...@@ -159,7 +159,8 @@ operator<<(std::ostream& o, const oln::internal::_real_image2d<T,I>& ima)
{ {
for (oln::coord col = 0; col < ima.ncols(); ++col) for (oln::coord col = 0; col < ima.ncols(); ++col)
{ {
o.width(unsigned(log10(double(ntg::optraits<T>::max()))+2)); // FIXME: this does not work when optraits::max is not defined (eg floats)
// o.width(unsigned(log10(double(ntg::optraits<T>::max()))+2));
o << ima(row,col) << ' '; o << ima(row,col) << ' ';
} }
o << std::endl; o << std::endl;
......
...@@ -160,7 +160,8 @@ operator<<(std::ostream& o, const oln::internal::_real_image3d<T,I>& ima) ...@@ -160,7 +160,8 @@ operator<<(std::ostream& o, const oln::internal::_real_image3d<T,I>& ima)
for (oln::coord row = 0; row < ima.nrows(); ++row) { for (oln::coord row = 0; row < ima.nrows(); ++row) {
for (oln::coord col = 0; col < ima.ncols(); ++col) for (oln::coord col = 0; col < ima.ncols(); ++col)
{ {
o.width(unsigned(log10(double(ntg::optraits<T>::max()))+2)); // FIXME: this does not work when optraits<T>::max is not defined
// o.width(unsigned(log10(double(ntg::optraits<T>::max()))+2));
o << ima(slice, row, col) << ' '; o << ima(slice, row, col) << ' ';
} }
o << std::endl; o << std::endl;
......
...@@ -67,16 +67,18 @@ namespace oln { ...@@ -67,16 +67,18 @@ namespace oln {
return *this; return *this;
} }
T& set(const dpoint1d& dp) T& set(const dpoint1d& dp, T weight)
{ {
// if the dp exists, return a ref to the existing entry // if the dp exists, return a ref to the existing entry
for (unsigned i = 0; i < card(); ++i) for (unsigned i = 0; i < card(); ++i)
if (_dp[i] == dp) if (_dp[i] == dp)
return _w[i]; {
_w[i] = weight;
return _w[i];
}
// otherwise, create new entry // otherwise, create new entry
super::add(dp); add(dp, weight);
_w.push_back(T());
return _w.back(); return _w.back();
} }
......
...@@ -80,16 +80,18 @@ namespace oln { ...@@ -80,16 +80,18 @@ namespace oln {
} }
T& set(const dpoint2d& dp) T& set(const dpoint2d& dp, T weight)
{ {
// if the dp exists, return a ref to the existing entry // if the dp exists, return a ref to the existing entry
for (unsigned i = 0; i < card(); ++i) for (unsigned i = 0; i < card(); ++i)
if (_dp[i] == dp) if (_dp[i] == dp)
return _w[i]; {
_w[i] = weight;
return _w[i];
}
// otherwise, create new entry // otherwise, create new entry
super::add(dp); add(dp, weight);
_w.push_back(T());
return _w.back(); return _w.back();
} }
......
...@@ -69,15 +69,18 @@ namespace oln { ...@@ -69,15 +69,18 @@ namespace oln {
return *this; return *this;
} }
T& set(const dpoint3d& dp) T& set(const dpoint3d& dp, T weight)
{ {
// if the dp exists, return a ref to the existing entry // if the dp exists, return a ref to the existing entry
for (unsigned i = 0; i < card(); ++i) for (unsigned i = 0; i < card(); ++i)
if (_dp[i] == dp) if (_dp[i] == dp)
return _w[i]; {
_w[i] = weight;
return _w[i];
}
// otherwise, create new entry // otherwise, create new entry
super::add(dp, T()); add(dp, weight);
return _w.back(); return _w.back();
} }
......
...@@ -28,10 +28,13 @@ ...@@ -28,10 +28,13 @@
#ifndef OLENA_TOPO_INTER_PIXEL_INTER_PIXEL_HH #ifndef OLENA_TOPO_INTER_PIXEL_INTER_PIXEL_HH
# define OLENA_TOPO_INTER_PIXEL_INTER_PIXEL_HH # define OLENA_TOPO_INTER_PIXEL_INTER_PIXEL_HH
# include <oln/basics.hh>
# include <oln/topo/inter-pixel/node.hh> # include <oln/topo/inter-pixel/node.hh>
# include <oln/topo/inter-pixel/fwd-dir-iter.hh> # include <oln/topo/inter-pixel/fwd-dir-iter.hh>
# include <oln/topo/inter-pixel/bkd-dir-iter.hh> # include <oln/topo/inter-pixel/bkd-dir-iter.hh>
# include <ntg/optraits.hh>
namespace oln { namespace oln {
namespace topo { namespace topo {
...@@ -61,7 +64,7 @@ typename mute< ImgType, Node(ImgType) >::ret ...@@ -61,7 +64,7 @@ typename mute< ImgType, Node(ImgType) >::ret
{ {
// FIXME: assume there is no boundary pixel with a max value. // FIXME: assume there is no boundary pixel with a max value.
// pearhaps we should clone img with a higher type. // pearhaps we should clone img with a higher type.
border::adapt_assign(img, 1, optraits< Value(_I) >::max()); border::adapt_assign(img, 1, ntg::optraits< Value(_I) >::max());
Iter(inter_pixel_t) p(_data); Iter(inter_pixel_t) p(_data);
fwd_dir_iter_t it; fwd_dir_iter_t it;
......
...@@ -28,6 +28,8 @@ ...@@ -28,6 +28,8 @@
#ifndef OLENA_TOPO_INTER_PIXEL_INTERNAL_DIR_HXX #ifndef OLENA_TOPO_INTER_PIXEL_INTERNAL_DIR_HXX
# define OLENA_TOPO_INTER_PIXEL_INTERNAL_DIR_HXX # define OLENA_TOPO_INTER_PIXEL_INTERNAL_DIR_HXX
# include <iostream>
using namespace oln::topo::inter_pixel::internal; using namespace oln::topo::inter_pixel::internal;
std::ostream & operator<<(std::ostream & o, dir_traits<2>::ret i) std::ostream & operator<<(std::ostream & o, dir_traits<2>::ret i)
......
EXTRA_DIST = tests runtests
check-local:
TOP_SRCDIR=$(top_srcdir) SRCDIR=$(srcdir) \
TOP_BUILDDIR=$(top_builddir) \
LDFLAGS="$(LDFLAGS)" \
CPPFLAGS="$(CPPFLAGS) $(DEFS) -I$(top_builddir)" \
CXXFLAGS="$(CXXFLAGS) $(CXXFLAGS_OPTIMIZE) $(CXXFLAGS_STRICT_ERRORS)" \
$(SHELL) $(srcdir)/runtests
distclean-local:
rm -rf runs
#!/bin/sh
if test "x$VERBOSE" != x; then
verb='echo'
quiet=''
else
verb=':'
quiet='-q'
fi
exec 6>&2
. ../check/defs || exit 1
exec 2>&6
failures=0
indir=${SRCDIR-.}/tests
rundir=runs
test -d $rundir || mkdir $rundir
# If no tests were given on the command line, get the list from $indir.
if test $# = 0; then
set dummy $indir/*
shift
fi
for test; do
# We want only the basename of $test.
test=`basename "$test"`
fail=0
dir=$rundir/$test
input=$indir/$test
rm -rf $dir
mkdir $dir
# Build the source code to compile.
src=$dir/$test.cc
cat $input >>$src
# Build the compile script (using such a script make it easier
# to debug failures);
cat >$dir/try <<EOF
dir="\$2"
exec 6>&2
if test "x\$1" = "x-q"; then
exec 2>$dir/cxx.errors
else
echo $CXX $CPPFLAGS $CXXFLAGS $LDFLAGS $dir/$test.cc
fi
$CXX $CPPFLAGS $CXXFLAGS $LDFLAGS "$dir/$test.cc" -o "$dir/test$EXEEXT" || exit 50
if test "x\$1" = "x-q"; then
exec 2>$dir/run.errors
else
echo $dir/test$EXEEXT
fi
$dir/test$EXEEXT
estatus=\$?
exec 2>&6
echo \$estatus > $dir/exit.status
exit \$estatus
EOF
chmod +x $dir/try
# Do we expect a failure?
expected=ok
grep '//.*ABORT' $input >/dev/null && expected=abort
grep '//.*COMPFAIL' $input >/dev/null && expected=compfail
# Do we know the test fails ?
xfail=no
grep '//.*XFAIL' $input >/dev/null && xfail=yes
# Run the test.
$verb ========== Running $test... >&2
($SHELL $dir/try "$quiet" "$dir")
estatus=$?
msg="";
case $expected:$estatus in
ok:0 | compfail:50 | abort:134) rm -rf "$dir" ;;
*:50) msg="(doesn't compile)" ;;
*:134) msg="(aborts at run-time)" ;;
compfail:*) msg="(compiles!)" ;;
abort:*) msg="(doesn't abort!)" ;;
ok:*) msg="(exits with \$?=$estatus)" ;;
*) ;;
esac
if test -d $dir; then
if test "$xfail" = "no"; then
echo "FAIL: $test $msg" >&2
failures=`expr $failures + 1`
else
echo "XFAIL: $test $msg" >&2
fi
else
echo "PASS: $test" >&2
fi
done
echo ========================================>&2
if test $failures = 0; then
echo No failures. >&2
exit 0
else
echo $failures failures. >&2
exit 1
fi
#include <oln/core/w_window1d.hh>
#include <oln/core/w_window2d.hh>
#include <oln/core/w_window3d.hh>
#include <ntg/all.hh>
#include <cassert>
using namespace oln;
using namespace ntg;
int main()
{
w_window1d<int> w1d;
w_window2d<int_u8> w2d;
w_window3d<int_s32> w3d;
int x1d = w1d.set(dpoint1d(0), 5);
int x2d = w2d.set(dpoint2d(0, 5), 4);
assert(x2d == 4);
x2d = w2d.set(dpoint2d(0, 5), 5);
int x3d = w3d.set(dpoint3d(0, 2, 4), 5);
return !(x1d == x2d && x2d == x3d);
}
;; -*- Prcs -*- ;; -*- Prcs -*-
(Created-By-Prcs-Version 1 3 3) (Created-By-Prcs-Version 1 3 3)
(Project-Description "Olena") (Project-Description "Olena")
(Project-Version oln 8 33) (Project-Version oln 8 40)
(Parent-Version oln 8 32) (Parent-Version oln 8 33)
(Version-Log "Index: tools/swilena/ChangeLog (Version-Log "Index: ChangeLog
from Nicolas Burrus <burrus_n@lrde.epita.fr> from Raphal Poss <raph@lrde.epita.fr>
* configure.ac: Add more Makefile's to the Swilena component.
* bootstrap.sh: Invoke expand.sh in tools/swilena.
Index: integre/ChangeLog
from Raphal Poss <raph@lrde.epita.fr>
* ntg/predecls.hh (ntg): Help SWIG parse the file.
Index: olena/ChangeLog
from Raphal Poss <raph@lrde.epita.fr>
* oln/core/internal/real_image2d.hh (operator<<): Remove reference
to optraits<T>::max so that images of floats can print.
* oln/core/internal/real_image3d.hh (operator<<): Likewise.
Index: tools/swilena/ChangeLog
from Raphal Poss <raph@lrde.epita.fr>
* doc/swilena.texi (Top): Add off-sync notice.
* meta/Makefile.am, meta/swilena_w_win.i, meta/swilena_point.i,
meta/swilena_morpho.i, meta/swilena_structelt.i,
meta/swilena_ntg.i, meta/swilena_ntg_cplx.i,
meta/swilena_ntg_int_u.i, meta/swilena_ntg_int_s.i,
meta/swilena_imagesize.i, meta/swilena_image.i,
meta/swilena_exception.i, meta/swilena_describe.i,
meta/swilena_decl.i, meta/swilena_core.i: Add.
* meta/attic: New directory.
* src/swilena.i, src/swilena1d.i, src/swilena1d_convert.i,
src/swilena1d_morpho.i, src/swilena2d.i, src/swilena2d_convert.i,
src/swilena2d_morpho.i, src/swilena3d.i, src/swilena3d_convert.i,
src/swilena3d_morpho.i, src/swilena_conversions.i,
src/swilena_convert_dim.i, src/swilena_convoldefs.i,
src/swilena_dim.i, src/swilena_dpoint.i, src/swilena_exceptions.i,
src/swilena_image.i, src/swilena_meta_win.i,
src/swilena_morpho_dim.i, src/swilena_morphodefs.i,
src/swilena_neighborhood.i, src/swilena_point.i,
src/swilena_typedefs.i, src/swilena_types.i,
src/swilena_w_window.i, src/swilena_window.i: Move to `meta/attic'.
* expand.sh: Add. Most files are now generated from this script.
* TODO: Update.
* Makefile.am (SUBDIRS): Mention new directory `meta'.
* src/swilena_types.i: Ajust namespace of data types.
") ")
(New-Version-Log "") (New-Version-Log "")
(Checkin-Time "Thu, 24 Apr 2003 13:53:13 +0200") (Checkin-Time "Tue, 06 May 2003 06:56:14 +0200")
(Checkin-Login burrus_n) (Checkin-Login raph)